package com.xmomen.module.system.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.system.entity.SysOrganization;
import com.xmomen.module.system.entity.SysOrganizationExample;
import org.apache.ibatis.annotations.Param;

// 定义SysOrganizationMapper接口，继承MybatisMapper
public interface SysOrganizationMapper extends MybatisMapper {
    // 根据条件统计SysOrganization的数量
    int countByExample(SysOrganizationExample example);

    // 根据条件删除SysOrganization
    int deleteByExample(SysOrganizationExample example);

    // 插入SysOrganization
    int insertSelective(SysOrganization record);

    // 根据条件更新SysOrganization
    int updateByExampleSelective(@Param("record") SysOrganization record, @Param("example") SysOrganizationExample example);
}